# Interface CertPathParameters

All Superinterfaces:
  `Cloneable`

All Known Implementing Classes:
  `PKIXBuilderParameters, PKIXParameters`

public interface CertPathParameters extends Cloneable
A specification of certification path algorithm parameters. The purpose of this interface is to group (and provide type safety for) all `CertPath` parameter specifications. All `CertPath` parameter specifications must implement this interface.

Since:
  1.4
See Also:
  - `CertPathValidator.validate(CertPath, CertPathParameters)`
  - `CertPathBuilder.build(CertPathParameters)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Makes a copy of this `CertPathParameters`.

## Method Details

### clone

Object clone()
Makes a copy of this `CertPathParameters`. Changes to the copy will not affect the original and vice versa.

Returns:
  a copy of this `CertPathParameters`